@echo off
cls
echo Preparing Android Debug Bridge (adb)
echo Make sure you activated USB-Debugging
echo Plug in USB cable now
adb wait-for-device
echo Device found.
echo Pushing Binaries to Temp Directory
adb push tools\bltool /data/local/tmp
adb push tools\tacoroot /data/local/tmp
adb push tools\dump_image /data/local/tmp
adb push tools\flash_image /data/local/tmp
echo Changing Permissions to Execute
adb shell chmod 777 /data/local/tmp/bltool
adb shell chmod 777 /data/local/tmp/tacoroot
adb shell chmod 777 /data/local/tmp/dump_image
adb shell chmod 777 /data/local/tmp/flash_image
echo Rebooting into Recovery, needed for tacoroot
adb reboot recovery
echo When you are in Recovery, press Vol+ and Power, select reboot with Power button
adb kill-server
adb wait-for-device
echo Back from rebooting ...
echo Setting up tacoroot ...
adb shell /data/local/tmp/tacoroot --setup
adb kill-server
adb wait-for-device
echo Now activating root ...
adb shell /data/local/tmp/tacoroot --root
adb kill-server
adb wait-for-device
echo Yes we can! (root achieved)
echo Now happens the magic stuff
echo Getting the misc image ...
adb shell /data/local/tmp/dump_image misc /data/local/tmp/misc.img
echo Setting the Unlocked flag HTCU
adb shell /data/local/tmp/bltool /data/local/tmp/misc.img unlock
echo Flashing back unlocked misc
adb shell /data/local/tmp/flash_image misc /data/local/tmp/misc.img
echo Cleaning up some mess, keep tacoroot for unrooting
adb shell rm /data/local/tmp/flash_image
adb shell rm /data/local/tmp/dump_image
adb shell rm /data/local/tmp/bltool
adb shell rm /data/local/tmp/misc.img
adb shell /data/local/tmp/tacoroot --undo
adb kill-server
adb wait-for-device
echo Root removed, now erasing tacoroot again
adb shell rm /data/local/tmp/tacoroot
echo Closing down adb
adb kill-server
echo Congratulations, you now have unlocked bootloader